import java.util.ArrayList;

import android.os.Bundle;
import android.support.v4.view.PagerAdapter;
import android.support.v4.view.ViewPager;
import android.support.v4.view.ViewPager.OnPageChangeListener;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.Window;
import android.widget.ImageView;

import com.iwomedia.zhigu.R;
import com.iwomedia.zhaoyang.G;
import com.iwomedia.zhaoyang.activity.base.BaseActivity;
import com.iwomedia.zhaoyang.activity.framework.MainListActivity;


/**
 * 引导页
 * @author wangkai
 * @creation 2012年9月10日 下午4:01:05
 */
public class GuideActivity2 extends BaseActivity {

	private ViewPager viewPager;
	private ImageView imageView;
	private ArrayList<View> guideViews;
	private ImageView[] indicators;
	private ViewGroup viewPictures;
	private ViewGroup viewPoints;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		//requestWindowFeature(Window.FEATURE_NO_TITLE);
		LayoutInflater inflater = getLayoutInflater();
		guideViews = new ArrayList<View>();
		guideViews.add(inflater.inflate(R.layout.viewpager01, null));
		guideViews.add(inflater.inflate(R.layout.viewpager02, null));
		guideViews.add(inflater.inflate(R.layout.viewpager03, null));
		
		View view4 = getLayoutInflater().inflate(R.layout.viewpager04, null);
		View goView = view4.findViewById(R.id.tv_go);
		goView.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				go(MainListActivity.class);
				GuideActivity2.this.finish();
			}
		});
		guideViews.add(view4);

		// 小圆点数组，大小是图片的个数
		indicators = new ImageView[guideViews.size()];
		// 从指定的XML文件中加载视图
		viewPictures = (ViewGroup) inflater.inflate(R.layout.activity_guide, null);

		viewPager = (ViewPager) viewPictures.findViewById(R.id.guidePagers);
		viewPoints = (ViewGroup) viewPictures.findViewById(R.id.viewPoints);

		// 添加小圆点导航的图片
//		for (int i = 0; i < guideViews.size(); i++) {
//			imageView = new ImageView(GuideActivity.this);
//			imageView.setLayoutParams(new LayoutParams(LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT));
//			imageView.setPadding(5, 0, 5, 0);
//			// 吧小圆点放进数组中
//			indicators[i] = imageView;
//			// 默认选中的是第一张图片，此时第一个小圆点是选中状态，其他不是
//			if (i == 0)
//				indicators[i].setImageDrawable(getResources().getDrawable(
//						R.drawable.point_checked));
//			else
//				indicators[i].setImageDrawable(getResources().getDrawable(
//						R.drawable.point_unchecked));
//			// 将imageviews添加到小圆点视图组
//			viewPoints.addView(indicators[i]);
//		}

		setContentView(viewPictures);

		viewPager.setAdapter(new NavigationPageAdapter());
		// 为viewpager添加监听，当view发生变化时的响应
		viewPager.setOnPageChangeListener(new NavigationPageChangeListener());
	}

	// 导航图片view的适配器，必须要实现的是下面四个方法
	class NavigationPageAdapter extends PagerAdapter {

		@Override
		public int getCount() {
			return guideViews.size();
		}

		@Override
		public boolean isViewFromObject(View arg0, Object arg1) {
			return arg0 == arg1;
		}

		// 初始化每个Item
		@Override
		public Object instantiateItem(View container, int position) {
			((ViewPager) container).addView(guideViews.get(position));
			return guideViews.get(position);
		}

		// 销毁每个Item
		@Override
		public void destroyItem(View container, int position, Object object) {
			((ViewPager) container).removeView(guideViews.get(position));
		}

	}

	// viewpager的监听器，主要是onPageSelected要实现
	class NavigationPageChangeListener implements OnPageChangeListener {

		@Override
		public void onPageScrollStateChanged(int arg0) {

		}

		@Override
		public void onPageScrolled(int arg0, float arg1, int arg2) {

		}

		@Override
		public void onPageSelected(int position) {
			// 循环主要是控制导航中每个小圆点的状态
//			for (int i = 0; i < indicators.length; i++) {
//				// 当前view下设置小圆点为选中状态
//				indicators[i].setImageDrawable(getResources().getDrawable(
//						R.drawable.point_checked));
//				// 其余设置为飞选中状态
//				if (position != i)
//					indicators[i].setImageDrawable(getResources().getDrawable(
//							R.drawable.point_unchecked));
//			}
		}

	}

	@Override
	public void initialViews() {
		
	}


}
